@echo off
echo Modifying World Heroes Perfect...

copy whp_c3.rom twhp_c3.rom
if errorlevel 1 goto whp_done
copy whp_c4.rom twhp_c4.rom
if errorlevel 1 goto whp_done
copy whp_c5.rom twhp_c5.rom
if errorlevel 1 goto whp_done
copy whp_c6.rom twhp_c6.rom
if errorlevel 1 goto whp_done

copy /B *whp_c3.rom mwhp_c3.rom
copy /B *whp_c4.rom mwhp_c4.rom
copy /B *whp_c5.rom mwhp_c5.rom
copy /B *whp_c6.rom mwhp_c6.rom

del twhp_c*.rom
del whp_c*.rom

ren mwhp_c3.rom whp_c3.rom
ren mwhp_c4.rom whp_c4.rom
ren mwhp_c5.rom whp_c5.rom
ren mwhp_c6.rom whp_c6.rom

:whp_done

echo Modifying Kizuna Encounter...

copy ke_c1.rom tke_c1.rom
if errorlevel 1 goto ke_done
copy ke_c2.rom tke_c2.rom
if errorlevel 1 goto ke_done
copy ke_c5.rom tke_c5.rom
if errorlevel 1 goto ke_done
copy ke_c6.rom tke_c6.rom
if errorlevel 1 goto ke_done

copy /B *ke_c1.rom mke_c1.rom
copy /B *ke_c2.rom mke_c2.rom
copy /B *ke_c5.rom mke_c5.rom
copy /B *ke_c6.rom mke_c6.rom

del tke_c*.rom
del ke_c*.rom

ren mke_c1.rom ke_c1.rom
ren mke_c2.rom ke_c2.rom
ren mke_c5.rom ke_c5.rom
ren mke_c6.rom ke_c6.rom

:ke_done

echo Modifying KOF 95...

copy kof95_v2.rom tof95_v2.rom
if errorlevel 1 goto kof_done
copy kof95_c5.rom tof95_c5.rom
if errorlevel 1 goto kof_done
copy kof95_c6.rom tof95_c6.rom
if errorlevel 1 goto kof_done

copy /B *of95_c5.rom mof95_c5.rom
copy /B *of95_c6.rom mof95_c6.rom
copy /B *of95_v2.rom mof95_v2.rom

del tof95_c*.rom
del kof95_c*.rom
del kof95_v*.rom

ren mof95_v2.rom kof95_v2.rom
ren mof95_c5.rom kof95_c5.rom
ren mof95_c6.rom kof95_c6.rom

:kof_done

